#pragma once
#pragma warning (disable: 4786)

#include <assert.h>

#include <algorithm>
#include <vector>
#include <list>
#include <string>
#include <map>
using namespace std;

// Everything is public for ease of use. Ideally, this should not be the case

class CPlayer {
public:
	float health;
};

class CItem {
public:
	CItem(string type);

	static vector<string> itemNames;
	static void registerItemType(const char *itemName);

	string itemType;

	map<string, float> vars;
	void registerFloat(const char *varname);
	void setFloat(const char *varname, float value);
	float getFloat(const char *varname);

	void collidePlayer(CPlayer *p);
};